|  | Home · All Classes · Modules

# Phonon.AudioOutputDeviceModel Class Reference
[phonon module]

Inherits QAbstractListModel.

### Methods

- __init__ (self, QObject parent = None)
- __init__ (self, QList<Phonon::AudioOutputDevice> data, QObject parent = None)
- QVariant data (self, QModelIndex index, int role = Qt.DisplayRole)
- bool dropMimeData (self, QMimeData data, Qt.DropAction action, int row, int column, QModelIndex parent)
- Qt.ItemFlags flags (self, QModelIndex index)
- QMimeData mimeData (self, QModelIndex-list indexes)
- QStringList mimeTypes (self)
- QList<Phonon::AudioOutputDevice> modelData (self)
- AudioOutputDevice modelData (self, QModelIndex index)
- moveDown (self, QModelIndex index)
- moveUp (self, QModelIndex index)
- bool removeRows (self, int row, int count, QModelIndex parent = QModelIndex())
- int rowCount (self, QModelIndex parent = QModelIndex())
- setModelData (self, QList<Phonon::AudioOutputDevice> data)
- Qt.DropActions supportedDropActions (self)
- int tupleIndexAtPositionIndex (self, int positionIndex)
- int-list tupleIndexOrder (self)

## Detailed Description

## Method Documentation

### AudioOutputDeviceModel.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

### AudioOutputDeviceModel.__init__ (self, QList<Phonon::AudioOutputDevice> data, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

### QVariant AudioOutputDeviceModel.data (self, QModelIndex index, int role = Qt.DisplayRole)

### bool AudioOutputDeviceModel.dropMimeData (self, QMimeData data, Qt.DropAction action, int row, int column, QModelIndex parent)

### Qt.ItemFlags AudioOutputDeviceModel.flags (self, QModelIndex index)

### QMimeData AudioOutputDeviceModel.mimeData (self, QModelIndex-list indexes)

### QStringList AudioOutputDeviceModel.mimeTypes (self)

### QList<Phonon::AudioOutputDevice> AudioOutputDeviceModel.modelData (self)

### AudioOutputDevice AudioOutputDeviceModel.modelData (self, QModelIndex index)

### AudioOutputDeviceModel.moveDown (self, QModelIndex index)

### AudioOutputDeviceModel.moveUp (self, QModelIndex index)

### bool AudioOutputDeviceModel.removeRows (self, int row, int count, QModelIndex parent = QModelIndex())

### int AudioOutputDeviceModel.rowCount (self, QModelIndex parent = QModelIndex())

### AudioOutputDeviceModel.setModelData (self, QList<Phonon::AudioOutputDevice> data)

### Qt.DropActions AudioOutputDeviceModel.supportedDropActions (self)

### int AudioOutputDeviceModel.tupleIndexAtPositionIndex (self, int positionIndex)

### int-list AudioOutputDeviceModel.tupleIndexOrder (self)